# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *
import requests

def update_package():
    # Declaring local variables
    package_updated = False
    proxies = get_proxies_from_wapt_console()
    if not proxies:
        proxies = get_proxies()

    url_base = "https://devolutions.net/remote-desktop-manager/home/download/"
    response = requests.get(url_base,allow_redirects=True, proxies=proxies)
    # Extract the correct div using bs_find_all
    divs = bs_find_all(response.text, "div","class","dropdown-menu left", proxies=proxies)
    msi_file = None
    version = None

    for div in divs:
        if 'data-dwd-modal-group' in div.attrs and div.attrs['data-dwd-modal-group'] == "agent":
            links = div.find_all('a', href=True)
            for link in links:
                if 'data-g-extension' in link.attrs and link.attrs['data-g-extension'] == 'msi':
                    href = link['href']
                    version = link.attrs['data-g-version']
                    download_url = "https://cdn.devolutions.net/download/Setup.RemoteDesktopManagerAgent.%s.msi" %version
                    msi_file = download_url.split("/")[-1]
                    print(f"MSI file: {msi_file}")
                    print(f"Version: {version}")
                    break
    # Supprimer les anciens fichiers binaires
    for f in glob.glob("*.msi"):
        if f != msi_file:
            remove_file(f)

    if not isfile(msi_file):
        print("Downloading: %s" % msi_file)
        wget( download_url, msi_file, proxies=proxies)
    else:
        print("Binary is present: %s" % msi_file)

    
    version =get_version_from_binary(msi_file)
    # Mettre à jour le package
    control.set_software_version(version)
    control.save_control_to_wapt()    
                
    
